Bug 1295414 - IOException: write beyond end of stream when enabling traceLog in infinispan/client/hotrod-client
IOException: write beyond end of stream when enabling traceLog in infinispan/...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: TestSuite (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.6.0
Assigned To: Martin Gencur
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 07:31 EST by Martin Vrabel
Modified: 2016-07-13 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Vrabel 2016-01-04 07:31:31 EST
Description of problem:

-Dlog4j.configuration=file:.....infinispan/core/src/test/resources/log4j-trace.xml

log4j:ERROR Could not close org.apache.log4j.helpers.QuietWriter@6d75d53d
java.io.IOException: write beyond end of stream
	at java.util.zip.DeflaterOutputStream.write(DeflaterOutputStream.java:201)
	at java.util.zip.GZIPOutputStream.write(GZIPOutputStream.java:145)
	at sun.nio.cs.StreamEncoder.writeBytes(StreamEncoder.java:221)
	at sun.nio.cs.StreamEncoder.implWrite(StreamEncoder.java:282)
	at sun.nio.cs.StreamEncoder.write(StreamEncoder.java:125)
	at java.io.OutputStreamWriter.write(OutputStreamWriter.java:207)
	at java.io.BufferedWriter.flushBuffer(BufferedWriter.java:129)
	at java.io.BufferedWriter.close(BufferedWriter.java:265)
	at java.io.FilterWriter.close(FilterWriter.java:104)
	at org.apache.log4j.FileAppender.closeFile(FileAppender.java:185)
	at org.apache.log4j.FileAppender.reset(FileAppender.java:343)
	at org.infinispan.util.logging.log4j.CompressedFileAppender.reset(CompressedFileAppender.java:47)
	at org.apache.log4j.WriterAppender.close(WriterAppender.java:207)
	at org.apache.log4j.helpers.AppenderAttachableImpl.removeAllAppenders(AppenderAttachableImpl.java:141)
	at org.apache.log4j.Category.removeAllAppenders(Category.java:891)
	at org.apache.log4j.Hierarchy.shutdown(Hierarchy.java:471)
	at org.apache.log4j.LogManager.shutdown(LogManager.java:267)
	at org.infinispan.util.logging.log4j.CompressedFileAppender$1.run(CompressedFileAppender.java:24)


Version-Release number of selected component (if applicable):


How reproducible:

e.g  mvn clean verify -Dtest=ExpiryTest -Dlog4j.configuration=file:...../infinispan/core/src/test/resources/log4j-trace.xml

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Martin Gencur 2016-01-12 05:26:07 EST
Which is the target version? 6.6.0 CR1 ? Please specify

Note You need to log in before you can comment on or make changes to this bug.